Here's a link... Rated 5 out of 5 stars

If you guys cant see the link in FF 3.6, use this link...

Then search for add-on called Compatibility Checker by Mozilla, it'll let it run even if it's not updated, YMMV.

This review is for a previous version of the add-on (